<script setup>
import InputError from "@/Components/InputError.vue";
import AuthenticatedLayout from "@/Layouts/AuthenticatedLayout.vue";
import { useForm } from "@inertiajs/vue3";
import { QuillEditor } from '@vueup/vue-quill';
import '@vueup/vue-quill/dist/vue-quill.snow.css';
import Multiselect from "@vueform/multiselect";

const props = defineProps({
    categoryName: Array,
    restaurant_id: String,
});

const form = useForm({
    category: null,
    id: props.restaurant_id,
    items: [
        {
            name: "",
            description: "",
            price: "",
        }
    ]
});

const submit = () => {
    form.post(route("menu.store"));
};

const addItem = () => {
    form.items.push({ name: "", description: "", price: "" });
};
</script>

<template>
    <AuthenticatedLayout>
        <div class="row">
            <div class="col-12">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item">
                            <a href="javascript: void(0);">Menu</a>
                        </li>
                        <li class="breadcrumb-item active">Create</li>
                    </ol>
                </div>
            </div>
        </div>
       
        <div class="container-fluid mt-4">
            <div class="row">
                <div class="col-sm-6">
                    <h3>Menu</h3>
                </div>
                <div class="col-sm-6"><button class="btn btn-primary" @click="addItem">Add Menu Item</button></div>
                <div class="row mt-4">
                    <div class="col-sm-6">
                        <label for="category" class="form-label">Category<span class="text-danger">*</span></label>
                        <Multiselect v-model="form.category" :options="categoryName" valueProp="id" label="category_name" />
                        <InputError class="mt-2 text-danger" :message="form.errors.category" />
                    </div>
                    <div class="row border m-3" v-for="(item, index) in form.items" :key="index">
                        <div class="col-8">
                            <div class="row mt-2">
                                <div class="col-sm-6">
                                    <label for="name" class="form-label">Name<span class="text-danger">*</span></label>
                                    <input type="text" class="form-control" id="name" placeholder="Name" v-model="item.name" />
                                    <div v-if="form.errors[`items.${index}.name`]"
                                    class="text-danger">
                                    The Name field is required.
                                </div>
                                    <InputError class="mt-2 text-danger" :message="form.errors.name" />
                                </div>
                                <div class="col-sm-6">
                                    <label for="price" class="form-label">Price<span class="text-danger">*</span></label>
                                    <input type="text" class="form-control" id="price" placeholder="Price" v-model="item.price" />
                                    <div v-if="form.errors[`items.${index}.price`]"
                                    class="text-danger">
                                    The Price field is required.
                                </div>
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-sm-12 mb-3">
                                    <label for="description" class="form-label">Description<span class="text-danger">*</span></label>
                                    <div id="app">
                                        <quill-editor theme="snow" v-model:content="item.description" content-type="html">Description</quill-editor>
                                    </div>
                                    <div v-if="form.errors[`items.${index}.description`]"
                                    class="text-danger">
                                    The Description field is required.
                                </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-3">
                        <div class="col-sm-2">
                            <button class="btn btn-success w-100" type="submit" @click="submit">
                                ADD
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </AuthenticatedLayout>
</template>

<style src="@vueform/multiselect/themes/default.css"></style>